## org.eclipse.datatools.enablement.sybase.ui
Class SystemTableDecorationService

    java.lang.Object
      org.eclipse.core.commands.common.EventManager
          org.eclipse.jface.viewers.BaseLabelProvider
              org.eclipse.jface.viewers.LabelProvider
                  org.eclipse.datatools.connectivity.sqm.core.internal.ui.explorer.providers.decorators.impl.AbstractDecorationService
                      org.eclipse.datatools.enablement.sybase.ui.SystemTableDecorationService

All Implemented Interfaces:
  org.eclipse.jface.viewers.IBaseLabelProvider, org.eclipse.jface.viewers.ILabelProvider, org.eclipse.jface.viewers.ILightweightLabelDecorator

    public class SystemTableDecorationService

extends org.eclipse.datatools.connectivity.sqm.core.internal.ui.explorer.providers.decorators.impl.AbstractDecorationService

Author:
  Hao wang

Constructor Summary
`SystemTableDecorationService()`

Method Summary
`void` `decorate(java.lang.Object element, org.eclipse.jface.viewers.IDecoration decoration)`

Methods inherited from class org.eclipse.datatools.connectivity.sqm.core.internal.ui.explorer.providers.decorators.impl.AbstractDecorationService
`refreshDecoration`

Methods inherited from class org.eclipse.jface.viewers.LabelProvider
`getImage, getText`

Methods inherited from class org.eclipse.jface.viewers.BaseLabelProvider
`addListener, dispose, isLabelProperty, removeListener`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.viewers.IBaseLabelProvider
`addListener, dispose, isLabelProperty, removeListener`

Constructor Detail

### SystemTableDecorationService

    public SystemTableDecorationService()

Method Detail

### decorate

    public void decorate(java.lang.Object element,
                         org.eclipse.jface.viewers.IDecoration decoration)